package sita;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.SwingConstants;

public class MarkedPanel extends JPanel
{
    JSeparator sep;
    MarkedPanel(Component c)
    {
        super();
        setLayout(new BorderLayout());
        add(c, BorderLayout.CENTER);
        sep = new JSeparator();
        sep.setOrientation(SwingConstants.VERTICAL);
        sep.setBackground(Color.white);
        add(sep, BorderLayout.WEST);
    }

    public void setColor(Color c)
    {
        sep.setBackground(c);
    }
}
