package sita;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
//import Eliza.ElizaMain;           // moved to folder SanskritLibraryDemo

public class ElizaDialog extends JDialog implements KeyListener
{
    JLabel peter;
    JTextArea eliza;
    JScrollPane elizaPane;
    JTextField question;
//    ElizaMain em;

    public ElizaDialog()
    {
        Utils.setEscapeKeyListener(this);
        setLayout(new BorderLayout());
        setBounds(0, 0, 600, 400);
        Utils.centerScreen(this);
        setTitle("Talk to Dr. Scharf");
        setModal(true);

        //em = new ElizaMain();
        //em.readScript(true, "script.txt");
        Icon icon = new ImageIcon("PeterScharf.jpg");
        peter = new JLabel(icon);
        add(peter, BorderLayout.NORTH);

        eliza = new JTextArea(60, 20);
        eliza.setEditable(false);
        eliza.setFocusable(false);
        elizaPane = new JScrollPane(eliza);
        elizaPane.setSize(new Dimension(500, 200));
        elizaPane = new JScrollPane(eliza);
        add(elizaPane, BorderLayout.CENTER);

        question = new JTextField(60);
        question.setSize(new Dimension(500, 40));
        question.setText("Enter your comments here.");
        question.addKeyListener(this);
        add(question, BorderLayout.SOUTH);
        question.setCaretPosition(0);
        question.moveCaretPosition(question.getText().length()-1);
        question.getCaret().setVisible(true);
        question.getCaret().setSelectionVisible(true);

        eliza.addKeyListener(this);
    }


    public void display()
    {
      question.setFocusable(true);
      question.requestFocusInWindow();
      setVisible(true);
      question.setText("");
    }

    public void keyTyped(KeyEvent e)
    {
        if (e.getKeyChar() == KeyEvent.VK_ENTER)
        {
            e.consume();
            askEliza(question.getText());
        }
    }


    public void askEliza(String q)
    {
        eliza.append(String.format(">> %s\n", q ));
//        eliza.append(em.processInput(q));
        eliza.append("\n");
        question.setText("");
    }

    public void keyPressed(KeyEvent e)
    {
    }

    public void keyReleased(KeyEvent e)
    {
    }
}
