package sita;

import org.sanskritlibrary.catalogs.ApplicationState;
import java.awt.BorderLayout;
import java.io.File;
import javax.swing.JDialog;
import javax.swing.JTextArea;

public class InformationDialog extends JDialog
{
    JTextArea info;
    ApplicationState appstate;

    public InformationDialog(ApplicationState appstate)
    {
        this.appstate = appstate;
        Utils.setEscapeKeyListener(this);
        setLayout(new BorderLayout());
        setModal(true);
        info = new JTextArea(5, 100);
        info.setEditable(false);
        info.setLineWrap(true);
        add(info, BorderLayout.CENTER);
        setBounds(0, 0, 600, 100);
        Utils.centerScreen(this);
    }

    public void showInfo(String type)
    {
        if (type.equals("file"))
        {
            String filename = appstate.getImageFilename();
            info.setText(filename);
        }
        else if (type.equals("about"))
            info.setText("Version 2.0 12:38PM CST February 10, 2012");
        else if (type.equals("help"))
            info.setText("See sita.rtf");
    }
}
